angular.module("noteWrangler")
  .controller("NotesIndexController", function ($http) {
    const controller = this;

    const errorHandler = function (err) {
      console.log("Error getting /notes", err);
    };

    const responseHandler = function (data) {
      controller.notes = data.data;
    };

    $http({
      method: "GET",
      url: "/notes.json"
    }).then(responseHandler, errorHandler);
  });
